---
document: modulemd-defaults
version: 1
data:
    module: php
    profiles:
        "8.1":
            - common
        "8.2":
            - common
...
---
document: modulemd-defaults
version: 1
data:
    module: mariadb
    profiles:
        "10.11":
            - server
...
---
document: modulemd-defaults
version: 1
data:
    module: maven
    profiles:
        "3.8":
            - common
...
---
document: modulemd-defaults
version: 1
data:
    module: nginx
    profiles:
        "1.22":
            - common
        "1.24":
            - common
...
---
document: modulemd-defaults
version: 1
data:
    module: nodejs
    profiles:
        "18":
            - common
        "20":
            - common
...
---
document: modulemd-defaults
version: 1
data:
    module: postgresql
    profiles:
        "15":
            - server
        "16":
            - server
...
---
document: modulemd-defaults
version: 1
data:
    module: redis
    profiles:
        "7":
            - common
...
---
document: modulemd-defaults
version: 1
data:
    module: ruby
    profiles:
        "3.1":
            - common
        "3.3":
            - common
...
---
document: modulemd
version: 2
data:
    name: maven
    stream: "3.8"
    version: "9040020240503204202"
    static_context: true
    context: f35c064b
    arch: x86_64
    summary: Java project management and project comprehension tool
    description: Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.
    license:
        module:
            - MIT
        content:
            - ASL 2.0
            - MIT and ASL 2.0
            - BSD and CC-BY
            - ASL 2.0 and Plexus
            - ASL 1.1 and ASL 2.0 and xpp and BSD and Public Domain
            - EPL-2.0 or GPLv2 with exceptions
            - ASL 2.0 and MIT and xpp
            - ASL 2.0 and ASL 1.1 and MIT
            - ASL 2.0 and CC0
            - EPL-1.0 and BSD
            - ASL 2.0 and MIT
    dependencies:
        - buildrequires:
            javapackages-tools:
                - "202201"
            platform:
                - el9.4.0
          requires:
            platform:
                - el9
    profiles:
        common:
            rpms:
                - maven-openjdk11
    api:
        rpms:
            - maven
            - maven-openjdk8
            - maven-openjdk11
            - maven-openjdk17
            - maven-openjdk21
    filter:
        rpms:
            - apache-commons-cli-javadoc
            - apache-commons-codec-javadoc
            - apache-commons-io-javadoc
            - apache-commons-lang3-javadoc
            - atinject-javadoc
            - cdi-api-javadoc
            - google-guice-javadoc
            - guava-javadoc
            - guava-testlib
            - guice-assistedinject
            - guice-bom
            - guice-extensions
            - guice-grapher
            - guice-jmx
            - guice-jndi
            - guice-multibindings
            - guice-parent
            - guice-servlet
            - guice-throwingproviders
            - httpcomponents-client-javadoc
            - httpcomponents-core-javadoc
            - jakarta-annotations-javadoc
            - jansi-javadoc
            - jsr-305-javadoc
            - jul-to-slf4j
            - log4j-over-slf4j
            - maven-javadoc
            - maven-resolver-javadoc
            - maven-shared-utils-javadoc
            - maven-wagon-javadoc
            - plexus-cipher-javadoc
            - plexus-classworlds-javadoc
            - plexus-containers
            - plexus-containers-component-metadata
            - plexus-containers-container-default
            - plexus-containers-javadoc
            - plexus-interpolation-javadoc
            - plexus-sec-dispatcher-javadoc
            - plexus-utils-javadoc
            - sisu-javadoc
            - slf4j-javadoc
            - slf4j-jcl
            - slf4j-jdk14
            - slf4j-manual
            - slf4j-migrator
            - slf4j-sources
    buildopts:
        rpms:
            macros: |
                %_without_maven_resolver_extra_modules 1
                %java_arches aarch64 ppc64le s390x x86_64
    components:
        rpms:
            apache-commons-cli:
                name: apache-commons-cli
                rationale: Runtime dependency of maven.
                ref: 96e20582d3aa4f4c39a87c373031b7249854b8b2
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            apache-commons-codec:
                name: apache-commons-codec
                rationale: Runtime dependency of maven.
                ref: 6992a52370d65b2aee183a61759ed0afd12caba5
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            apache-commons-io:
                name: apache-commons-io
                rationale: Runtime dependency of maven.
                ref: 45969e56991d4df1ef15bd3819c84fd2ea92dcf1
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            apache-commons-lang3:
                name: apache-commons-lang3
                rationale: Runtime dependency of maven.
                ref: 19ac60fb79343620564fe85e20313ddc15c83417
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            atinject:
                name: atinject
                rationale: Runtime dependency of maven.
                ref: 5e1aa4795f1e897d1636469cd000512a32f3fc1e
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            cdi-api:
                name: cdi-api
                rationale: Runtime dependency of maven.
                ref: 71811c87471b4c0d4f69b482d2043a3b831517f9
                buildorder: 20
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            google-guice:
                name: google-guice
                rationale: Runtime dependency of maven.
                ref: 2a8fc1581fa254b55a0ee62b1801e52db7e26c19
                buildorder: 30
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            guava:
                name: guava
                rationale: Runtime dependency of maven.
                ref: 1141bad2fd49546f7052f3b0a17a824215ce94dd
                buildorder: 20
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            httpcomponents-client:
                name: httpcomponents-client
                rationale: Runtime dependency of maven.
                ref: d0602d647675235488958b11926a3c96b0c7e3d5
                buildorder: 20
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            httpcomponents-core:
                name: httpcomponents-core
                rationale: Runtime dependency of maven.
                ref: 55aa45d74b32b771e4fac219458653c45d5a1bbd
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            jakarta-annotations:
                name: jakarta-annotations
                rationale: Runtime dependency of maven.
                ref: bff871681bd0ebb7c283fbfce059a907c53224ef
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            jansi:
                name: jansi
                rationale: Runtime dependency of maven.
                ref: 0a566b4be45a82a9170ac1f6b3505e1280e3da87
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            jsr-305:
                name: jsr-305
                rationale: Runtime dependency of maven.
                ref: 547fb12062fbdb775441185bf6a891bcc10f9686
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            maven:
                name: maven
                rationale: Module API.
                ref: d7d0aef9b4429fe51bbff1bae83a40fce7be8819
                buildorder: 50
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            maven-resolver:
                name: maven-resolver
                rationale: Runtime dependency of maven.
                ref: 9adb687e0ff5a8564c0758e2c92ca39ece197a3d
                buildorder: 40
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            maven-shared-utils:
                name: maven-shared-utils
                rationale: Runtime dependency of maven.
                ref: 93b2b6ad990a6f7e5bea71fdf81a9daae772a84e
                buildorder: 20
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            maven-wagon:
                name: maven-wagon
                rationale: Runtime dependency of maven.
                ref: 4183f7c25820a0951913c2ebd9de0ce012e38485
                buildorder: 30
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-cipher:
                name: plexus-cipher
                rationale: Runtime dependency of maven.
                ref: d32de09b54bba2d55584e1bdc8e7d3aa76fd2e43
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-classworlds:
                name: plexus-classworlds
                rationale: Runtime dependency of maven.
                ref: a6d34d6c0e05efb83884da7e5113af69e3ac49a1
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-containers:
                name: plexus-containers
                rationale: Runtime dependency of maven.
                ref: be9d3176fcb6e4b05b49cd0926cc19db64c62cee
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-interpolation:
                name: plexus-interpolation
                rationale: Runtime dependency of maven.
                ref: 846ea62af61bea5a02521774e5843e8f819220b3
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-sec-dispatcher:
                name: plexus-sec-dispatcher
                rationale: Runtime dependency of maven.
                ref: d7c0a04e1d7bb409385efa4de9c903fc35503b6a
                buildorder: 20
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            plexus-utils:
                name: plexus-utils
                rationale: Runtime dependency of maven.
                ref: bdb94b315176cd3e1da0fbf601f08047b5b9d3b5
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            sisu:
                name: sisu
                rationale: Runtime dependency of maven.
                ref: e8335fd5f351a36319bcc8d942c17d069bb5c6bb
                buildorder: 30
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            slf4j:
                name: slf4j
                rationale: Runtime dependency of maven.
                ref: 8b48ef3f09ceb1fc615a9e153bf3fecb33a8fdcc
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - apache-commons-cli-0:1.5.0-5.module+el9.4.0+20049+f35c064b.noarch
            - apache-commons-codec-0:1.15-8.module+el9.4.0+20049+f35c064b.noarch
            - apache-commons-io-1:2.11.0-3.module+el9.4.0+20049+f35c064b.noarch
            - apache-commons-lang3-0:3.12.0-8.module+el9.4.0+20049+f35c064b.noarch
            - atinject-0:1.0.5-5.module+el9.4.0+20049+f35c064b.noarch
            - cdi-api-0:2.0.2-7.module+el9.4.0+20049+f35c064b.noarch
            - google-guice-0:4.2.3-10.module+el9.4.0+20049+f35c064b.noarch
            - guava-0:31.0.1-5.module+el9.4.0+20049+f35c064b.noarch
            - httpcomponents-client-0:4.5.13-6.module+el9.4.0+20049+f35c064b.noarch
            - httpcomponents-core-0:4.4.13-8.module+el9.4.0+20049+f35c064b.noarch
            - jakarta-annotations-0:1.3.5-15.module+el9.4.0+20049+f35c064b.noarch
            - jansi-0:2.4.0-7.module+el9.4.0+20049+f35c064b.x86_64
            - jansi-debuginfo-0:2.4.0-7.module+el9.4.0+20049+f35c064b.x86_64
            - jansi-debugsource-0:2.4.0-7.module+el9.4.0+20049+f35c064b.x86_64
            - jcl-over-slf4j-0:1.7.32-5.module+el9.4.0+20049+f35c064b.noarch
            - jsr-305-0:3.0.2-7.module+el9.4.0+20049+f35c064b.noarch
            - maven-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-lib-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-openjdk11-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-openjdk17-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-openjdk21-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-openjdk8-1:3.8.5-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-resolver-1:1.7.3-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-shared-utils-0:3.3.4-6.module+el9.4.0+20049+f35c064b.noarch
            - maven-wagon-0:3.5.1-3.module+el9.4.0+20049+f35c064b.noarch
            - plexus-cipher-0:2.0-3.module+el9.4.0+20049+f35c064b.noarch
            - plexus-classworlds-0:2.6.0-13.module+el9.4.0+20049+f35c064b.noarch
            - plexus-containers-component-annotations-0:2.1.1-3.module+el9.4.0+20049+f35c064b.noarch
            - plexus-interpolation-0:1.26-13.module+el9.4.0+20049+f35c064b.noarch
            - plexus-sec-dispatcher-0:2.0-5.module+el9.4.0+20049+f35c064b.noarch
            - plexus-utils-0:3.3.0-11.module+el9.4.0+20049+f35c064b.noarch
            - sisu-1:0.3.5-3.module+el9.4.0+20049+f35c064b.noarch
            - slf4j-0:1.7.32-5.module+el9.4.0+20049+f35c064b.noarch
            - apache-commons-cli-0:1.5.0-5.module+el9.4.0+20049+f35c064b.src
            - apache-commons-codec-0:1.15-8.module+el9.4.0+20049+f35c064b.src
            - apache-commons-io-1:2.11.0-3.module+el9.4.0+20049+f35c064b.src
            - apache-commons-lang3-0:3.12.0-8.module+el9.4.0+20049+f35c064b.src
            - atinject-0:1.0.5-5.module+el9.4.0+20049+f35c064b.src
            - cdi-api-0:2.0.2-7.module+el9.4.0+20049+f35c064b.src
            - google-guice-0:4.2.3-10.module+el9.4.0+20049+f35c064b.src
            - guava-0:31.0.1-5.module+el9.4.0+20049+f35c064b.src
            - httpcomponents-client-0:4.5.13-6.module+el9.4.0+20049+f35c064b.src
            - httpcomponents-core-0:4.4.13-8.module+el9.4.0+20049+f35c064b.src
            - jakarta-annotations-0:1.3.5-15.module+el9.4.0+20049+f35c064b.src
            - jansi-0:2.4.0-7.module+el9.4.0+20049+f35c064b.src
            - slf4j-0:1.7.32-5.module+el9.4.0+20049+f35c064b.src
            - jsr-305-0:3.0.2-7.module+el9.4.0+20049+f35c064b.src
            - maven-1:3.8.5-6.module+el9.4.0+20049+f35c064b.src
            - maven-resolver-1:1.7.3-6.module+el9.4.0+20049+f35c064b.src
            - maven-shared-utils-0:3.3.4-6.module+el9.4.0+20049+f35c064b.src
            - maven-wagon-0:3.5.1-3.module+el9.4.0+20049+f35c064b.src
            - plexus-cipher-0:2.0-3.module+el9.4.0+20049+f35c064b.src
            - plexus-classworlds-0:2.6.0-13.module+el9.4.0+20049+f35c064b.src
            - plexus-containers-0:2.1.1-3.module+el9.4.0+20049+f35c064b.src
            - plexus-interpolation-0:1.26-13.module+el9.4.0+20049+f35c064b.src
            - plexus-sec-dispatcher-0:2.0-5.module+el9.4.0+20049+f35c064b.src
            - plexus-utils-0:3.3.0-11.module+el9.4.0+20049+f35c064b.src
            - sisu-1:0.3.5-3.module+el9.4.0+20049+f35c064b.src
...
---
document: modulemd
version: 2
data:
    name: ruby
    stream: "3.1"
    version: "9040020240612193057"
    context: 5faae8e3
    arch: x86_64
    summary: An interpreter of object-oriented scripting language
    description: Ruby is the interpreted scripting language for quick and easy object-oriented programming.  It has many features to process text files and to do system management tasks (as in Perl).  It is simple, straight-forward, and extensible.
    license:
        module:
            - MIT
        content:
            - Ruby or BSD
            - MIT
            - (Ruby or GPLv2) and UCD
            - (Ruby or BSD) and Public Domain and MIT and CC0 and zlib and UCD
            - Ruby or MIT
            - (Ruby or BSD) and (Ruby or BSD or Python) and (Ruby or BSD or LGPLv2+)
            - BSD
            - GPLv2 and Ruby and MIT and OFL
            - (BSD or Ruby) and PostgreSQL
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: http://ruby-lang.org/
        documentation: https://www.ruby-lang.org/en/documentation/
        tracker: https://bugs.ruby-lang.org/
    profiles:
        common:
            rpms:
                - ruby
    api:
        rpms:
            - ruby
            - ruby-bundled-gems
            - ruby-default-gems
            - ruby-devel
            - ruby-libs
            - rubygem-bigdecimal
            - rubygem-bundler
            - rubygem-io-console
            - rubygem-irb
            - rubygem-json
            - rubygem-minitest
            - rubygem-mysql2
            - rubygem-pg
            - rubygem-power_assert
            - rubygem-psych
            - rubygem-rake
            - rubygem-rbs
            - rubygem-rexml
            - rubygem-rss
            - rubygem-rdoc
            - rubygem-test-unit
            - rubygem-typeprof
            - rubygems
            - rubygems-devel
    components:
        rpms:
            ruby:
                name: ruby
                rationale: An interpreter of object-oriented scripting language
                ref: 401872891024e65122635ec3a58ad371de85d60e
                buildorder: 101
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
                multilib:
                    - x86_64
            rubygem-mysql2:
                name: rubygem-mysql2
                rationale: A simple, fast Mysql library for Ruby, binding to libmysql
                ref: 1c2b3cfea4f223af33dbf7cfb7c3939b5daf8a53
                buildorder: 102
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            rubygem-pg:
                name: rubygem-pg
                rationale: A Ruby interface to the PostgreSQL RDBMS
                ref: f3813eb8ceb55b31d26ce145c89467c06226ce9b
                buildorder: 102
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - ruby-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-bundled-gems-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-bundled-gems-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-bundled-gems-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-bundled-gems-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-debugsource-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-debugsource-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-default-gems-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.noarch
            - ruby-devel-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-devel-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-doc-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.noarch
            - ruby-libs-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-libs-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - ruby-libs-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.i686
            - ruby-libs-debuginfo-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-bigdecimal-0:3.1.1-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-bigdecimal-0:3.1.1-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-bigdecimal-debuginfo-0:3.1.1-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-bigdecimal-debuginfo-0:3.1.1-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-bundler-0:2.3.27-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-io-console-0:0.5.11-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-io-console-0:0.5.11-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-io-console-debuginfo-0:0.5.11-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-io-console-debuginfo-0:0.5.11-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-irb-0:1.4.1-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-json-0:2.6.1-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-json-0:2.6.1-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-json-debuginfo-0:2.6.1-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-json-debuginfo-0:2.6.1-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-minitest-0:5.15.0-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-mysql2-0:0.5.4-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-mysql2-debuginfo-0:0.5.4-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-mysql2-debugsource-0:0.5.4-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-mysql2-doc-0:0.5.4-1.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-pg-0:1.3.5-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-pg-debuginfo-0:1.3.5-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-pg-debugsource-0:1.3.5-1.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-pg-doc-0:1.3.5-1.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-power_assert-0:2.0.1-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-psych-0:4.0.4-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-psych-0:4.0.4-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-psych-debuginfo-0:4.0.4-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-psych-debuginfo-0:4.0.4-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-rake-0:13.0.6-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-rbs-0:2.7.0-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-rbs-0:2.7.0-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-rbs-debuginfo-0:2.7.0-144.module+el9.4.0+20785+5faae8e3.i686
            - rubygem-rbs-debuginfo-0:2.7.0-144.module+el9.4.0+20785+5faae8e3.x86_64
            - rubygem-rdoc-0:6.4.1.1-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-rexml-0:3.2.5-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-rss-0:0.2.9-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-test-unit-0:3.5.3-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygem-typeprof-0:0.21.3-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygems-0:3.3.27-144.module+el9.4.0+20785+5faae8e3.noarch
            - rubygems-devel-0:3.3.27-144.module+el9.4.0+20785+5faae8e3.noarch
            - ruby-0:3.1.5-144.module+el9.4.0+20785+5faae8e3.src
            - rubygem-mysql2-0:0.5.4-1.module+el9.4.0+20785+5faae8e3.src
            - rubygem-pg-0:1.3.5-1.module+el9.4.0+20785+5faae8e3.src
...
---
document: modulemd
version: 2
data:
    name: nodejs
    stream: "18"
    version: "9040020240520171749"
    context: ab82f8a5
    arch: x86_64
    summary: Javascript runtime
    description: Node.js is a platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications. Node.js uses an event-driven, non-blocking I/O model that makes it lightweight and efficient, perfect for data-intensive real-time applications that run across distributed devices.
    license:
        module:
            - MIT
        content:
            - MIT
            - MIT and ASL 2.0 and ISC and BSD
    dependencies:
        - {}
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: http://nodejs.org
        documentation: http://nodejs.org/en/docs
        tracker: https://github.com/nodejs/node/issues
    profiles:
        common:
            rpms:
                - nodejs
                - npm
        development:
            rpms:
                - nodejs
                - nodejs-devel
                - npm
        minimal:
            rpms:
                - nodejs
        s2i:
            rpms:
                - nodejs
                - npm
                - nodejs-nodemon
    api:
        rpms:
            - nodejs
            - nodejs-devel
            - npm
    buildopts:
        rpms:
            macros: |
                %_with_bundled 1
                %_with_python3_fixup 0
    components:
        rpms:
            nodejs:
                name: nodejs
                rationale: Javascript runtime and npm package manager.
                ref: 7bae8762bab9aa48c299aafce5f0ca3236ad5e4d
                buildorder: 100
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            nodejs-nodemon:
                name: nodejs-nodemon
                rationale: Simple monitor script for use during development of a node.js app
                ref: 2a98aa07faf4ab42e4b3db7a06611aa6cc3abf15
                buildorder: 200
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            nodejs-packaging:
                name: nodejs-packaging
                rationale: RPM Macros and Utilities for Node.js Packaging
                ref: a1f11f9c29552a02d0f27074c85631f6f0ff6c96
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - nodejs-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-debuginfo-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-debugsource-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-devel-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-docs-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.noarch
            - nodejs-full-i18n-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-nodemon-0:3.0.1-1.module+el9.4.0+20268+ab82f8a5.noarch
            - nodejs-packaging-0:2021.06-4.module+el9.4.0+20268+ab82f8a5.noarch
            - nodejs-packaging-bundler-0:2021.06-4.module+el9.4.0+20268+ab82f8a5.noarch
            - npm-1:10.5.0-1.18.20.2.2.module+el9.4.0+20268+ab82f8a5.x86_64
            - nodejs-1:18.20.2-2.module+el9.4.0+20268+ab82f8a5.src
            - nodejs-nodemon-0:3.0.1-1.module+el9.4.0+20268+ab82f8a5.src
            - nodejs-packaging-0:2021.06-4.module+el9.4.0+20268+ab82f8a5.src
...
---
document: modulemd
version: 2
data:
    name: php
    stream: "8.1"
    version: "9030020240124164708"
    context: d5cd6ed5
    arch: x86_64
    summary: PHP scripting language
    description: php 8.1 module
    license:
        module:
            - GPLv2+
        content:
            - PHP
            - PHP and LGPLv2 and OpenLDAP
            - PHP and Zend and BSD and MIT and ASL 1.0 and NCSA and Boost
            - PHP and BSD
            - PHP and Zend and BSD and MIT and ASL 1.0 and NCSA and PostgreSQL
            - PHP and LGPLv2+
            - BSD
    dependencies:
        - buildrequires:
            platform:
                - el9.3.0
    references:
        documentation: http://php.net/
        tracker: https://bugs.php.net/
    profiles:
        common:
            rpms:
                - php-cli
                - php-common
                - php-fpm
                - php-mbstring
                - php-xml
        devel:
            rpms:
                - php-cli
                - php-common
                - php-devel
                - php-fpm
                - php-mbstring
                - php-pecl-zip
                - php-process
                - php-xml
        minimal:
            rpms:
                - php-cli
                - php-common
    api:
        rpms:
            - php-fpm
    components:
        rpms:
            php:
                name: php
                rationale: Module API.
                ref: 944e5b0f13c6443e18c48759bc2352f651d66de3
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-apcu:
                name: php-pecl-apcu
                rationale: APCu extension
                ref: 2ff502b117339999b716ad770f2098ede0e2110b
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-rrd:
                name: php-pecl-rrd
                rationale: RRD extension
                ref: c687b41e1b525af26828dd21d3c9e66d207047b4
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-xdebug3:
                name: php-pecl-xdebug3
                rationale: Xdebug extension
                ref: b4f9e938daaafc5fe08db0d184131c9c0ecc3e9c
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-zip:
                name: php-pecl-zip
                rationale: ZIP extension
                ref: 250d191079a8ae8501f150822f95f8ed68f2b3cc
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - apcu-panel-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.noarch
            - php-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-bcmath-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-bcmath-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-cli-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-cli-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-common-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-common-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-dba-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-dba-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-dbg-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-dbg-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-debugsource-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-devel-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-embedded-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-embedded-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-enchant-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-enchant-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-ffi-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-ffi-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-fpm-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-fpm-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-gd-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-gd-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-gmp-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-gmp-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-intl-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-intl-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-ldap-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-ldap-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-mbstring-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-mbstring-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-mysqlnd-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-mysqlnd-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-odbc-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-odbc-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-opcache-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-opcache-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pdo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pdo-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-apcu-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-apcu-debuginfo-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-apcu-debugsource-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-apcu-devel-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-rrd-0:2.0.3-4.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-rrd-debuginfo-0:2.0.3-4.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-rrd-debugsource-0:2.0.3-4.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-xdebug3-0:3.1.4-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-xdebug3-debuginfo-0:3.1.4-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-xdebug3-debugsource-0:3.1.4-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-zip-0:1.20.1-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-zip-debuginfo-0:1.20.1-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-zip-debugsource-0:1.20.1-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pgsql-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pgsql-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-process-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-process-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-snmp-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-snmp-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-soap-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-soap-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-xml-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-xml-debuginfo-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.x86_64
            - php-pecl-apcu-0:5.1.21-1.module+el9.3.0+16050+d5cd6ed5.src
            - php-0:8.1.27-1.module+el9.3.0+16050+d5cd6ed5.src
            - php-pecl-rrd-0:2.0.3-4.module+el9.3.0+16050+d5cd6ed5.src
            - php-pecl-xdebug3-0:3.1.4-1.module+el9.3.0+16050+d5cd6ed5.src
            - php-pecl-zip-0:1.20.1-1.module+el9.3.0+16050+d5cd6ed5.src
...
---
document: modulemd
version: 2
data:
    name: nginx
    stream: "1.22"
    version: "9040020240724075756"
    context: 3789eba2
    arch: x86_64
    summary: nginx webserver
    description: nginx 1.22 webserver module
    license:
        module:
            - MIT
        content:
            - BSD
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        documentation: http://nginx.org/en/docs/
        tracker: https://trac.nginx.org/nginx/
    profiles:
        common:
            rpms:
                - nginx
                - nginx-all-modules
                - nginx-filesystem
                - nginx-mod-http-image-filter
                - nginx-mod-http-perl
                - nginx-mod-http-xslt-filter
                - nginx-mod-mail
                - nginx-mod-stream
    api:
        rpms:
            - nginx
            - nginx-all-modules
            - nginx-filesystem
            - nginx-mod-http-image-filter
            - nginx-mod-http-perl
            - nginx-mod-http-xslt-filter
            - nginx-mod-mail
            - nginx-mod-stream
    components:
        rpms:
            nginx:
                name: nginx
                rationale: Module API.
                ref: cdf4b7b36483a803c522df7e0a2d9b0c97a0018b
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - nginx-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-all-modules-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.noarch
            - nginx-core-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-core-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-debugsource-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-filesystem-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.noarch
            - nginx-mod-devel-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-image-filter-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-image-filter-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-perl-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-perl-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-xslt-filter-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-http-xslt-filter-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-mail-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-mail-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-stream-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-mod-stream-debuginfo-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.x86_64
            - nginx-1:1.22.1-5.module+el9.4.0+24242+3789eba2.1.src
...
---
document: modulemd
version: 2
data:
    name: postgresql
    stream: "15"
    version: "9030020240223202607"
    context: 52b853ae
    arch: x86_64
    summary: PostgreSQL server and client module
    description: PostgreSQL is an advanced Object-Relational database management system (DBMS). The postgresql-server package contains the programs needed to create and run a PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL databases. The base postgresql package contains the client programs that you'll need to access a PostgreSQL DBMS server.
    license:
        module:
            - MIT
        content:
            - PostgreSQL
            - BSD
            - MIT
    dependencies:
        - buildrequires:
            platform:
                - el9.3.0
    references:
        community: https://www.postgresql.org
        documentation: https://www.postgresql.org/docs/15/index.html
        tracker: http://bugzilla.redhat.com
    profiles:
        client:
            rpms:
                - postgresql
        server:
            rpms:
                - postgresql-server
    api:
        rpms:
            - postgresql
            - postgresql-server
    components:
        rpms:
            pg_repack:
                name: pg_repack
                rationale: pg_repack extension
                ref: 47e6bb9718d164d8f96ae70f5582676c0fdd8a84
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            pgaudit:
                name: pgaudit
                rationale: pgaudit extension
                ref: a28215e312bd0c7e58a7b778f2ec7c0fc54b69e6
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            postgres-decoderbufs:
                name: postgres-decoderbufs
                rationale: postgres-decoderbufs extension
                ref: 1c021589c959b19f4024e4443fe083b510338557
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            postgresql:
                name: postgresql
                rationale: Module API.
                ref: 4caf38c3474e807739130d826b9a68703379d1bb
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - pg_repack-0:1.4.8-1.module+el9.3.0+16128+52b853ae.x86_64
            - pg_repack-debuginfo-0:1.4.8-1.module+el9.3.0+16128+52b853ae.x86_64
            - pg_repack-debugsource-0:1.4.8-1.module+el9.3.0+16128+52b853ae.x86_64
            - pgaudit-0:1.7.0-1.module+el9.3.0+16128+52b853ae.x86_64
            - pgaudit-debuginfo-0:1.7.0-1.module+el9.3.0+16128+52b853ae.x86_64
            - pgaudit-debugsource-0:1.7.0-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgres-decoderbufs-0:1.9.7-1.Final.module+el9.3.0+16128+52b853ae.x86_64
            - postgres-decoderbufs-debuginfo-0:1.9.7-1.Final.module+el9.3.0+16128+52b853ae.x86_64
            - postgres-decoderbufs-debugsource-0:1.9.7-1.Final.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-contrib-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-contrib-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-debugsource-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-docs-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-docs-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-plperl-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-plperl-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-plpython3-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-plpython3-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-pltcl-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-pltcl-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-private-devel-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-private-libs-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-private-libs-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-server-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-server-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-server-devel-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-server-devel-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-static-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-test-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-test-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-test-rpm-macros-0:15.6-1.module+el9.3.0+16128+52b853ae.noarch
            - postgresql-upgrade-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-upgrade-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-upgrade-devel-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - postgresql-upgrade-devel-debuginfo-0:15.6-1.module+el9.3.0+16128+52b853ae.x86_64
            - pg_repack-0:1.4.8-1.module+el9.3.0+16128+52b853ae.src
            - pgaudit-0:1.7.0-1.module+el9.3.0+16128+52b853ae.src
            - postgres-decoderbufs-0:1.9.7-1.Final.module+el9.3.0+16128+52b853ae.src
            - postgresql-0:15.6-1.module+el9.3.0+16128+52b853ae.src
...
---
document: modulemd
version: 2
data:
    name: redis
    stream: "7"
    version: "9030020240306164341"
    context: 60127d38
    arch: x86_64
    summary: Redis persistent key-value database
    description: redis 7 module
    license:
        module:
            - GPLv2+
        content:
            - BSD-3-Clause AND BSD-2-Clause AND MIT
            - CC-BY-SA-4.0
    dependencies:
        - buildrequires:
            platform:
                - el9.3.0
    references:
        documentation: https://redis.io/documentation
        tracker: https://github.com/redis/redis/issues
    profiles:
        common:
            rpms:
                - redis
    api:
        rpms:
            - redis
    components:
        rpms:
            redis:
                name: redis
                rationale: Module API.
                ref: 548b6b32f0e9cef2a770f307d9e2145001e35d21
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - redis-0:7.0.12-2.module+el9.3.0+18173+60127d38.x86_64
            - redis-debuginfo-0:7.0.12-2.module+el9.3.0+18173+60127d38.x86_64
            - redis-debugsource-0:7.0.12-2.module+el9.3.0+18173+60127d38.x86_64
            - redis-devel-0:7.0.12-2.module+el9.3.0+18173+60127d38.x86_64
            - redis-doc-0:7.0.12-2.module+el9.3.0+18173+60127d38.noarch
            - redis-0:7.0.12-2.module+el9.3.0+18173+60127d38.src
...
---
document: modulemd
version: 2
data:
    name: nodejs
    stream: "20"
    version: "9040020240724152646"
    context: 5150bc6f
    arch: x86_64
    summary: Javascript runtime
    description: Node.js is a platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications. Node.js uses an event-driven, non-blocking I/O model that makes it lightweight and efficient, perfect for data-intensive real-time applications that run across distributed devices.
    license:
        module:
            - MIT
        content:
            - MIT
            - MIT and ASL 2.0 and ISC and BSD
    dependencies:
        - {}
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: http://nodejs.org
        documentation: http://nodejs.org/en/docs
        tracker: https://github.com/nodejs/node/issues
    profiles:
        common:
            rpms:
                - nodejs
                - npm
        development:
            rpms:
                - nodejs
                - nodejs-devel
                - npm
        minimal:
            rpms:
                - nodejs
        s2i:
            rpms:
                - nodejs
                - npm
                - nodejs-nodemon
    api:
        rpms:
            - nodejs
            - nodejs-devel
            - npm
    buildopts:
        rpms:
            macros: |
                %_with_bundled 1
                %_with_python3_fixup 0
    components:
        rpms:
            nodejs:
                name: nodejs
                rationale: Javascript runtime and npm package manager.
                ref: 6cbebfd3d08f0753a1a7fe99e4ef7239d0f97d92
                buildorder: 100
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            nodejs-nodemon:
                name: nodejs-nodemon
                rationale: Simple monitor script for use during development of a node.js app
                ref: 1ecb96576309ccced84a26a9c4c4921167df7b05
                buildorder: 200
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            nodejs-packaging:
                name: nodejs-packaging
                rationale: RPM Macros and Utilities for Node.js Packaging
                ref: efe60581fc8b75ac9a908c11cbbdaffbd28d4598
                buildorder: 10
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - nodejs-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-debuginfo-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-debugsource-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-devel-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-docs-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.noarch
            - nodejs-full-i18n-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-nodemon-0:3.0.1-1.module+el9.4.0+24245+5150bc6f.noarch
            - nodejs-packaging-0:2021.06-4.module+el9.4.0+24245+5150bc6f.noarch
            - nodejs-packaging-bundler-0:2021.06-4.module+el9.4.0+24245+5150bc6f.noarch
            - npm-1:10.7.0-1.20.14.0.1.module+el9.4.0+24245+5150bc6f.x86_64
            - nodejs-1:20.14.0-1.module+el9.4.0+24245+5150bc6f.src
            - nodejs-nodemon-0:3.0.1-1.module+el9.4.0+24245+5150bc6f.src
            - nodejs-packaging-0:2021.06-4.module+el9.4.0+24245+5150bc6f.src
...
---
document: modulemd
version: 2
data:
    name: mariadb
    stream: "10.11"
    version: "9040020240502080049"
    context: a68bdff7
    arch: x86_64
    summary: MariaDB Module
    description: MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded SQL database server. It is a client/server implementation consisting of a server daemon (mysqld) and many different client programs and libraries. The base package contains the standard MariaDB/MySQL client programs and generic MySQL files.
    license:
        module:
            - MIT
        content:
            - GPLv2 and LGPLv2
            - GPLv2
    dependencies:
        - {}
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: http://mariadb.org
        documentation: https://mariadb.com/kb/en/library/documentation/
        tracker: http://bugzilla.redhat.com
    profiles:
        client:
            rpms:
                - mariadb
        galera:
            rpms:
                - mariadb-server
                - mariadb-server-galera
        server:
            rpms:
                - mariadb-server
    api:
        rpms:
            - mariadb
            - mariadb-server
    buildopts:
        rpms:
            macros: |
                %runselftest 1
                %ignore_testsuite_result 0
    components:
        rpms:
            galera:
                name: galera
                rationale: Galera package for MariaDB server replication
                ref: fe7fda57d25f6234f08c90fbcb4f61158e2ef4be
                buildorder: 16
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            mariadb:
                name: mariadb
                rationale: MariaDB package
                ref: 09cbe3c9c8d636d9c637ec11dcce97a0d0a3eec4
                buildorder: 8
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - galera-0:26.4.16-1.module+el9.4.0+20012+a68bdff7.x86_64
            - galera-debuginfo-0:26.4.16-1.module+el9.4.0+20012+a68bdff7.x86_64
            - galera-debugsource-0:26.4.16-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-backup-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-backup-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-common-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-debugsource-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-devel-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-embedded-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-embedded-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-embedded-devel-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-errmsg-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-gssapi-server-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-gssapi-server-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-oqgraph-engine-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-oqgraph-engine-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-pam-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-pam-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-server-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-server-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-server-galera-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-server-utils-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-server-utils-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-test-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - mariadb-test-debuginfo-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.x86_64
            - galera-0:26.4.16-1.module+el9.4.0+20012+a68bdff7.src
            - mariadb-3:10.11.6-1.module+el9.4.0+20012+a68bdff7.src
...
---
document: modulemd
version: 2
data:
    name: php
    stream: "8.2"
    version: "9040020240502085536"
    context: b017aa8e
    arch: x86_64
    summary: PHP scripting language
    description: php 8.2 module
    license:
        module:
            - GPLv2+
        content:
            - PHP-3.01
            - PHP-3.01 AND LGPL-2.1-only AND OLDAP-2.8
            - PHP-3.01 AND Zend-2.0 AND BSD-2-Clause AND MIT AND Apache-1.0 AND NCSA AND BSL-1.0
            - PHP-3.01 AND BSD-2-Clause
            - PHP-3.01 AND Zend-2.0 AND BSD-2-Clause AND MIT AND Apache-1.0 AND NCSA AND PostgreSQL
            - PHP-3.01 AND LGPL-2.1-or-later
            - BSD
            - Xdebug-1.03
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        documentation: http://php.net/
        tracker: https://bugs.php.net/
    profiles:
        common:
            rpms:
                - php-cli
                - php-common
                - php-fpm
                - php-mbstring
                - php-xml
        devel:
            rpms:
                - php-cli
                - php-common
                - php-devel
                - php-fpm
                - php-mbstring
                - php-pecl-zip
                - php-process
                - php-xml
        minimal:
            rpms:
                - php-cli
                - php-common
    api:
        rpms:
            - php-fpm
    components:
        rpms:
            php:
                name: php
                rationale: Module API.
                ref: a0ed620fc9b972aa507b91787196b5a470fa43aa
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-apcu:
                name: php-pecl-apcu
                rationale: APCu extension
                ref: 056c653dee66ed619174f2023e1950a06288c28a
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-rrd:
                name: php-pecl-rrd
                rationale: RRD extension
                ref: 090e40af168eeae22bdf4e2b1608799ad2ae3b31
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-xdebug3:
                name: php-pecl-xdebug3
                rationale: Xdebug extension
                ref: 525364b6f2e03426c6fa03ea0b444bf2c6137832
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            php-pecl-zip:
                name: php-pecl-zip
                rationale: ZIP extension
                ref: 1001bb12aeb8af3730afc31a27207d9a618330e9
                buildorder: 2
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - apcu-panel-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.noarch
            - php-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-bcmath-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-bcmath-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-cli-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-cli-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-common-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-common-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-dba-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-dba-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-dbg-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-dbg-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-debugsource-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-devel-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-embedded-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-embedded-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-enchant-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-enchant-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-ffi-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-ffi-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-fpm-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-fpm-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-gd-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-gd-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-gmp-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-gmp-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-intl-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-intl-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-ldap-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-ldap-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-mbstring-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-mbstring-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-mysqlnd-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-mysqlnd-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-odbc-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-odbc-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-opcache-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-opcache-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pdo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pdo-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-apcu-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-apcu-debuginfo-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-apcu-debugsource-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-apcu-devel-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-rrd-0:2.0.3-4.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-rrd-debuginfo-0:2.0.3-4.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-rrd-debugsource-0:2.0.3-4.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-xdebug3-0:3.2.2-2.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-xdebug3-debuginfo-0:3.2.2-2.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-xdebug3-debugsource-0:3.2.2-2.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-zip-0:1.22.3-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-zip-debuginfo-0:1.22.3-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-zip-debugsource-0:1.22.3-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pgsql-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pgsql-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-process-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-process-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-snmp-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-snmp-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-soap-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-soap-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-xml-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-xml-debuginfo-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.x86_64
            - php-pecl-apcu-0:5.1.23-1.module+el9.4.0+20013+b017aa8e.src
            - php-0:8.2.13-1.module+el9.4.0+20013+b017aa8e.src
            - php-pecl-rrd-0:2.0.3-4.module+el9.4.0+20013+b017aa8e.src
            - php-pecl-xdebug3-0:3.2.2-2.module+el9.4.0+20013+b017aa8e.src
            - php-pecl-zip-0:1.22.3-1.module+el9.4.0+20013+b017aa8e.src
...
---
document: modulemd
version: 2
data:
    name: ruby
    stream: "3.3"
    version: "9040020240612210346"
    context: 4c237fd3
    arch: x86_64
    summary: An interpreter of object-oriented scripting language
    description: Ruby is the interpreted scripting language for quick and easy object-oriented programming.  It has many features to process text files and to do system management tasks (as in Perl).  It is simple, straight-forward, and extensible.
    license:
        module:
            - MIT
        content:
            - GPLv2+
            - Ruby OR BSD-2-Clause
            - MIT
            - (Ruby OR BSD-2-Clause) AND Unicode-DFS-2015
            - (Ruby OR BSD-2-Clause) AND dtoa
            - (Ruby OR BSD-2-Clause) AND (Ruby OR BSD-2-Clause OR GPL-1.0-or-later) AND BSD-3-Clause AND (GPL-3.0-or-later WITH Bison-exception-2.2) AND ISC AND LicenseRef-Fedora-Public-Domain AND MIT AND CC0 AND zlib AND Unicode-DFS-2015 AND HPND-Markus-Kuhn
            - (Ruby OR MIT) AND BSD-2-Clause AND (BSD-2-Clause OR Ruby) AND (Ruby OR BSD-2-Clause OR GPL-1.0-or-later) AND MIT
            - (Ruby OR BSD-2-Clause) AND (Ruby OR BSD-2-Clause OR Python-2.0.1)
            - BSD-2-Clause
            - GPL-2.0-only AND Ruby AND BSD-3-Clause AND CC-BY-2.5 AND OFL-1.1-RFN
            - MIT AND (Ruby OR BSD-2-Clause)
            - (BSD-2-Clause OR Ruby) AND PostgreSQL
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: http://ruby-lang.org/
        documentation: https://www.ruby-lang.org/en/documentation/
        tracker: https://bugs.ruby-lang.org/
    profiles:
        common:
            rpms:
                - ruby
    api:
        rpms:
            - ruby
            - ruby-bundled-gems
            - ruby-default-gems
            - ruby-devel
            - ruby-libs
            - rubygem-bigdecimal
            - rubygem-bundler
            - rubygem-io-console
            - rubygem-irb
            - rubygem-json
            - rubygem-minitest
            - rubygem-mysql2
            - rubygem-pg
            - rubygem-power_assert
            - rubygem-psych
            - rubygem-racc
            - rubygem-rake
            - rubygem-rbs
            - rubygem-rdoc
            - rubygem-rexml
            - rubygem-rss
            - rubygem-test-unit
            - rubygem-typeprof
            - rubygems
            - rubygems-devel
    filter:
        rpms:
            - rpm-local-generator-support
    components:
        rpms:
            rpm-local-generator-support:
                name: rpm-local-generator-support
                rationale: RPM local_generator support
                ref: c45c69feb2ada6246248747eb78e039149e6d963
                buildorder: 100
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            ruby:
                name: ruby
                rationale: An interpreter of object-oriented scripting language
                ref: d5d5a010092ba46af7f78b7de36f094c6b40275b
                buildorder: 101
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
                multilib:
                    - x86_64
            rubygem-mysql2:
                name: rubygem-mysql2
                rationale: A simple, fast Mysql library for Ruby, binding to libmysql
                ref: e000ac835064dbf3ea2872d22b7527fedb68b3c3
                buildorder: 102
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            rubygem-pg:
                name: rubygem-pg
                rationale: A Ruby interface to the PostgreSQL RDBMS
                ref: 1226e9fa2c79e712a88ee7b55e7e60a6e163095c
                buildorder: 102
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - ruby-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-bundled-gems-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-bundled-gems-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-bundled-gems-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-bundled-gems-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-debugsource-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-debugsource-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-default-gems-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.noarch
            - ruby-devel-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-devel-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-doc-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.noarch
            - ruby-libs-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-libs-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - ruby-libs-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.i686
            - ruby-libs-debuginfo-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-bigdecimal-0:3.1.5-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-bigdecimal-0:3.1.5-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-bigdecimal-debuginfo-0:3.1.5-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-bigdecimal-debuginfo-0:3.1.5-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-bundler-0:2.5.9-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-io-console-0:0.7.1-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-io-console-0:0.7.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-io-console-debuginfo-0:0.7.1-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-io-console-debuginfo-0:0.7.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-irb-0:1.11.0-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-json-0:2.7.1-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-json-0:2.7.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-json-debuginfo-0:2.7.1-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-json-debuginfo-0:2.7.1-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-minitest-0:5.20.0-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-mysql2-0:0.5.5-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-mysql2-debuginfo-0:0.5.5-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-mysql2-debugsource-0:0.5.5-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-mysql2-doc-0:0.5.5-1.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-pg-0:1.5.4-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-pg-debuginfo-0:1.5.4-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-pg-debugsource-0:1.5.4-1.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-pg-doc-0:1.5.4-1.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-power_assert-0:2.0.3-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-psych-0:5.1.2-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-psych-0:5.1.2-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-psych-debuginfo-0:5.1.2-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-psych-debuginfo-0:5.1.2-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-racc-0:1.7.3-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-racc-0:1.7.3-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-racc-debuginfo-0:1.7.3-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-racc-debuginfo-0:1.7.3-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-rake-0:13.1.0-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-rbs-0:3.4.0-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-rbs-0:3.4.0-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-rbs-debuginfo-0:3.4.0-2.module+el9.4.0+20787+4c237fd3.i686
            - rubygem-rbs-debuginfo-0:3.4.0-2.module+el9.4.0+20787+4c237fd3.x86_64
            - rubygem-rdoc-0:6.6.3.1-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-rexml-0:3.2.6-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-rss-0:0.3.0-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-test-unit-0:3.6.1-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygem-typeprof-0:0.21.9-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygems-0:3.5.9-2.module+el9.4.0+20787+4c237fd3.noarch
            - rubygems-devel-0:3.5.9-2.module+el9.4.0+20787+4c237fd3.noarch
            - ruby-0:3.3.1-2.module+el9.4.0+20787+4c237fd3.src
            - rubygem-mysql2-0:0.5.5-1.module+el9.4.0+20787+4c237fd3.src
            - rubygem-pg-0:1.5.4-1.module+el9.4.0+20787+4c237fd3.src
...
---
document: modulemd
version: 2
data:
    name: postgresql
    stream: "16"
    version: "9040020240502183821"
    context: a4fc542f
    arch: x86_64
    summary: PostgreSQL server and client module
    description: PostgreSQL is an advanced Object-Relational database management system (DBMS). The postgresql-server package contains the programs needed to create and run a PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL databases. The base postgresql package contains the client programs that you'll need to access a PostgreSQL DBMS server.
    license:
        module:
            - MIT
        content:
            - PostgreSQL
            - BSD
            - MIT
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        community: https://www.postgresql.org
        documentation: https://www.postgresql.org/docs/16/index.html
        tracker: http://bugzilla.redhat.com
    profiles:
        client:
            rpms:
                - postgresql
        server:
            rpms:
                - postgresql-server
    api:
        rpms:
            - postgresql
            - postgresql-server
    components:
        rpms:
            pg_repack:
                name: pg_repack
                rationale: pg_repack extension
                ref: e54973e1564378a30592f2c0cd232381336b09be
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            pgaudit:
                name: pgaudit
                rationale: pgaudit extension
                ref: 5331ae77329e19450d68171c5ed101068e061be4
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            postgres-decoderbufs:
                name: postgres-decoderbufs
                rationale: postgres-decoderbufs extension
                ref: 1e81f374bdadea18f6bc9dd417eb892699c2c211
                buildorder: 1
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
            postgresql:
                name: postgresql
                rationale: Module API.
                ref: 4d0df8440e7d938b24e6ee3c929d1d895875ab46
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - pg_repack-0:1.4.8-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pg_repack-debuginfo-0:1.4.8-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pg_repack-debugsource-0:1.4.8-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pgaudit-0:16.0-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pgaudit-debuginfo-0:16.0-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pgaudit-debugsource-0:16.0-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgres-decoderbufs-0:2.4.0-1.Final.module+el9.4.0+20018+a4fc542f.x86_64
            - postgres-decoderbufs-debuginfo-0:2.4.0-1.Final.module+el9.4.0+20018+a4fc542f.x86_64
            - postgres-decoderbufs-debugsource-0:2.4.0-1.Final.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-contrib-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-contrib-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-debugsource-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-docs-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-docs-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-plperl-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-plperl-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-plpython3-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-plpython3-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-pltcl-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-pltcl-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-private-devel-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-private-libs-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-private-libs-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-server-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-server-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-server-devel-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-server-devel-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-static-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-test-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-test-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-test-rpm-macros-0:16.1-1.module+el9.4.0+20018+a4fc542f.noarch
            - postgresql-upgrade-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-upgrade-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-upgrade-devel-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - postgresql-upgrade-devel-debuginfo-0:16.1-1.module+el9.4.0+20018+a4fc542f.x86_64
            - pg_repack-0:1.4.8-1.module+el9.4.0+20018+a4fc542f.src
            - pgaudit-0:16.0-1.module+el9.4.0+20018+a4fc542f.src
            - postgres-decoderbufs-0:2.4.0-1.Final.module+el9.4.0+20018+a4fc542f.src
            - postgresql-0:16.1-1.module+el9.4.0+20018+a4fc542f.src
...
---
document: modulemd
version: 2
data:
    name: nginx
    stream: "1.24"
    version: "9040020240724092908"
    context: f07913f5
    arch: x86_64
    summary: nginx webserver
    description: nginx 1.24 webserver module
    license:
        module:
            - MIT
        content:
            - BSD
    dependencies:
        - buildrequires:
            platform:
                - el9.4.0
    references:
        documentation: http://nginx.org/en/docs/
        tracker: https://trac.nginx.org/nginx/
    profiles:
        common:
            rpms:
                - nginx
                - nginx-all-modules
                - nginx-filesystem
                - nginx-mod-http-image-filter
                - nginx-mod-http-perl
                - nginx-mod-http-xslt-filter
                - nginx-mod-mail
                - nginx-mod-stream
    api:
        rpms:
            - nginx
            - nginx-all-modules
            - nginx-filesystem
            - nginx-mod-http-image-filter
            - nginx-mod-http-perl
            - nginx-mod-http-xslt-filter
            - nginx-mod-mail
            - nginx-mod-stream
    components:
        rpms:
            nginx:
                name: nginx
                rationale: Module API.
                ref: c21a57e628896c2500b77a4a808ba740031d48d5
                arches:
                    - i686
                    - x86_64
                    - aarch64
                    - ppc64le
                    - s390x
    artifacts:
        rpms:
            - nginx-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-all-modules-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.noarch
            - nginx-core-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-core-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-debugsource-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-filesystem-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.noarch
            - nginx-mod-devel-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-image-filter-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-image-filter-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-perl-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-perl-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-xslt-filter-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-http-xslt-filter-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-mail-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-mail-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-stream-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-mod-stream-debuginfo-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.x86_64
            - nginx-1:1.24.0-1.module+el9.4.0+24243+f07913f5.1.src
...
